<?php
/**
 *Aak Plus Theme Customizer
 *
 * @package Aak Plus
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */


function aak_plus_customize_register( $wp_customize ) {

    $wp_customize->remove_control('aak_header_style');
    $wp_customize->remove_control('aak_blog_layout');

  
    
    $wp_customize->add_setting('aak_plus_header_style', array(
        'default'       => 'style2',
        'capability'     => 'edit_theme_options',
        'type'           => 'theme_mod',
        'sanitize_callback' => 'aak_sanitize_select',
        'transport' => 'refresh',
    ));
    $wp_customize->add_control('aak_plus_header_style', array(
        'label'      => esc_html__('Site Header Style', 'aak-plus'),
        'section'    => 'aak_main_header',
        'settings'   => 'aak_plus_header_style',
        'type'       => 'select',
        'choices'    => array(
            'style1' => esc_html__('Style One', 'aak-plus'),
            'style2' => esc_html__('Style Two', 'aak-plus'),
        ),
    ));

    //header social
    $wp_customize->add_setting('aak_plus_facebook_url', array(
        'capability'     => 'edit_theme_options',
        'type'           => 'theme_mod',
        'sanitize_callback' => 'esc_url_raw',
        'transport' => 'refresh',
    ));
    $wp_customize->add_control('aak_plus_facebook_url', array(
        'label'      => esc_html__('Header Facebook url', 'aak-plus'),
        'section'    => 'aak_main_header',
        'settings'   => 'aak_plus_facebook_url',
        'type'       => 'url',
    ));
	    // Header twitter url
     $wp_customize->add_setting('aak_plus_twitter_url', array(
        'capability'     => 'edit_theme_options',
        'type'           => 'theme_mod',
        'sanitize_callback' => 'esc_url_raw',
        'transport' => 'refresh',
    ));
    $wp_customize->add_control('aak_plus_twitter_url', array(
        'label'      => esc_html__('Header Twitter url', 'aak-plus'),
        'section'    => 'aak_main_header',
        'settings'   => 'aak_plus_twitter_url',
        'type'       => 'url',
    ));
	    // Header linkedin url
     $wp_customize->add_setting('aak_plus_linkedin_url', array(
        'capability'     => 'edit_theme_options',
        'type'           => 'theme_mod',
        'sanitize_callback' => 'esc_url_raw',
        'transport' => 'refresh',
    ));
    $wp_customize->add_control('aak_plus_linkedin_url', array(
        'label'      => esc_html__('Header Linkedin url', 'aak-plus'),
        'section'    => 'aak_main_header',
        'settings'   => 'aak_plus_linkedin_url',
        'type'       => 'url',
    ));

	    // Header instagram url
     $wp_customize->add_setting('aak_plus_instagram_url', array(
        'capability'     => 'edit_theme_options',
        'type'           => 'theme_mod',
        'sanitize_callback' => 'esc_url_raw',
        'transport' => 'refresh',
    ));
    $wp_customize->add_control('aak_plus_instagram_url', array(
        'label'      => esc_html__('Header Instagram url', 'aak-plus'),
        'section'    => 'aak_main_header',
        'settings'   => 'aak_plus_instagram_url',
        'type'       => 'url',
    ));
	    // Header pinterest url
     $wp_customize->add_setting('aak_plus_pinterest_url', array(
        'capability'     => 'edit_theme_options',
        'type'           => 'theme_mod',
        'sanitize_callback' => 'esc_url_raw',
        'transport' => 'refresh',
    ));
    $wp_customize->add_control('aak_plus_pinterest_url', array(
        'label'      => esc_html__('Header Pinterest url', 'aak-plus'),
        'section'    => 'aak_main_header',
        'settings'   => 'aak_plus_pinterest_url',
        'type'       => 'url',
    ));
    //Blog layout
    $wp_customize->add_setting('aak_plus_blog_layout', array(
        'default'        => 'fullwidth',
        'capability'     => 'edit_theme_options',
        'type'           => 'theme_mod',
        'sanitize_callback' => 'aak_sanitize_select',
        'transport' => 'refresh',
    ));
    $wp_customize->add_control('aak_plus_blog_layout', array(
        'label'      => esc_html__('Select Blog Layout', 'aak-plus'),
        'description'=> esc_html__('Right and Left sidebar only show when sidebar widget is available. ', 'aak-plus'),
        'section'    => 'aak_blog',
        'settings'   => 'aak_plus_blog_layout',
        'type'       => 'select',
        'choices'    => array(
            'rightside' => esc_html__('Right Sidebar', 'aak-plus'),
            'leftside' => esc_html__('Left Sidebar', 'aak-plus'),
            'fullwidth' => esc_html__('No Sidebar', 'aak-plus'),
        ),
    ));
    


}
add_action( 'customize_register', 'aak_plus_customize_register',99 );

