<?php

/**
 * header style action
 *
 * @link https://wpthemespace.com/product/aak-plus/
 *
 * @package aak plus
 */



function aak_plus_headerstyle_output()
{

	$aak_plus_menu_position = get_theme_mod('aak_menu_position', 'center');
	$aak_plus_logo_position = get_theme_mod('aak_logo_position', 'left');
	$aak_plus_facebook_url = get_theme_mod('aak_plus_facebook_url', '#');
	$aak_plus_twitter_url = get_theme_mod('aak_plus_twitter_url', '#');
	$aak_plus_linkedin_url = get_theme_mod('aak_plus_linkedin_url', '#');
	$aak_plus_instagram_url = get_theme_mod('aak_plus_instagram_url', '#');
	$aak_plus_pinterest_url = get_theme_mod('aak_plus_pinterest_url', '#');
	$aak_plus_dheader_text = get_theme_mod('display_header_text', 1);
?>
	<?php if (has_header_image()) : ?>
		<div class="site-branding has-himg text-center <?php if ($aak_plus_dheader_text && has_custom_logo()) : ?>aak-two-logo<?php endif; ?>">
			<div class="aak-header-img">
				<?php the_header_image_tag(); ?>
			</div>
		<?php else : ?>
			<div class="container">
				<div class="site-branding py-3 <?php if ($aak_plus_dheader_text && has_custom_logo()) : ?>aak-two-logo<?php endif; ?>">
				<?php endif; ?>
				<div class="aakbar-item site-branding mr-lg-auto flex-grow-1 aakplus-hlogo">
					<div class="headerlogo-text htl-<?php echo esc_attr($aak_plus_logo_position); ?>">
						<div class="aak-header-titem pt-2">
							<?php the_custom_logo(); ?>
							<?php
							if (display_header_text() == true || (display_header_text() == true && is_customize_preview())) :
							?>
								<h1 class="site-title"><a href="<?php echo esc_url(home_url('/')); ?>" rel="home"><?php bloginfo('name'); ?></a></h1>
								<?php
								$aak_description = get_bloginfo('description', 'display');
								if ($aak_description || is_customize_preview()) :
								?>
									<p class="site-description"><?php echo $aak_description; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped 
																?></p>
								<?php endif; ?>
							<?php endif; ?>
						</div>
						<?php if ($aak_plus_facebook_url || $aak_plus_twitter_url || $aak_plus_linkedin_url || $aak_plus_instagram_url || $aak_plus_pinterest_url) : ?>
							<div class="aak-head-social">
								<?php if ($aak_plus_facebook_url) : ?>
									<a href="<?php echo esc_url($aak_plus_facebook_url); ?>" class="aslink"><i class="fab fa-facebook"></i></a>
								<?php endif; ?>
								<?php if ($aak_plus_twitter_url) : ?>
									<a href="<?php echo esc_url($aak_plus_twitter_url); ?>" class="aslink"><i class="fab fa-twitter"></i></a>
								<?php endif; ?>
								<?php if ($aak_plus_linkedin_url) : ?>
									<a href="<?php echo esc_url($aak_plus_linkedin_url); ?>" class="aslink"><i class="fab fa-linkedin"></i></a>
								<?php endif; ?>
								<?php if ($aak_plus_instagram_url) : ?>
									<a href="<?php echo esc_url($aak_plus_instagram_url); ?>" class="aslink"><i class="fab fa-instagram"></i></a>
								<?php endif; ?>
								<?php if ($aak_plus_pinterest_url) : ?>
									<a href="<?php echo esc_url($aak_plus_pinterest_url); ?>" class="aslink"><i class="fab fa-pinterest"></i></a>
								<?php endif; ?>
							</div>
						<?php endif; ?>
					</div>
				</div><!-- .site-branding -->
				<?php if (!has_header_image()) : ?>
				</div><!-- .container -->
			<?php endif; ?>
			</div>
			<div class="brand-menubar akk-shadow">
				<div class="container">
					<div class="aakmenu-display aadhs-two">
						<div class="aak-menu-main menu-<?php echo esc_attr($aak_plus_menu_position); ?>">
							<?php do_action('aak_main_menu'); ?>
						</div>
					</div>
				</div>
			</div>
		</div><!-- #brand menu bar -->


	<?php
}
add_action('aak_plus_headerstyle_two', 'aak_plus_headerstyle_output');


	?>